<?php
/**
 * Plugin Name: Easy Pricing
 * Description: Pricing Plugin that makes it easy to build payment tables
 * Author: Nick Theodoulou
 * Author URI: https://www.nicktheodoulou.com
 * Version: 1.0.0
 * Text Domain: easy-pricing
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

// TODO add more as per https://developer.wordpress.org/plugins/plugin-basics/header-requirements/


 if( !defined( 'ABSPATH' ) ) {
    die('You cannot be here');
 }

if(!class_exists('EPRC_EasyPricingPlugin')){
    class EPRC_EasyPricingPlugin {
        public function __construct() {

            define('EPRC_MY_PLUGIN_PATH', plugin_dir_path(__FILE__));

            define('EPRC_MY_PLUGIN_URL', plugin_dir_url(__FILE__));

            require_once( EPRC_MY_PLUGIN_PATH.'vendor/autoload.php' );
         }

        public function initialize(){
            include_once EPRC_MY_PLUGIN_PATH. 'includes/utilities.php';
            include_once EPRC_MY_PLUGIN_PATH . 'includes/options-page.php';
            include_once EPRC_MY_PLUGIN_PATH . 'includes/easy-pricing.php';
         }
    }

    $easyPricingPlugin = new EPRC_EasyPricingPlugin();
    $easyPricingPlugin->initialize();
}
